Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.autonomy.aci.exceptions
Class ServerNotAvailableException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.autonomy.aci.exceptions.AciException
                  com.autonomy.aci.exceptions.ServerNotAvailableException

All Implemented Interfaces:
  java.io.Serializable

public class ServerNotAvailableException
extends AciException

Indicates that the child service could not be communicated with.

See Also:
  Serialized Form

Constructor Summary
`ServerNotAvailableException()`
`ServerNotAvailableException(AciConnection aciServer)`
`ServerNotAvailableException(java.lang.String s)`
`ServerNotAvailableException(java.lang.String sServerName, AciConnection aciServer)`
`ServerNotAvailableException(java.lang.String sHost, int nPort)`
`ServerNotAvailableException(java.lang.String sHost, java.lang.String sPort)`
`ServerNotAvailableException(java.lang.String sServerName, java.lang.String sHost, int nPort)`
`ServerNotAvailableException(java.lang.String sServerName, java.lang.String sHost, java.lang.String sPort)`

Method Summary
`java.lang.String` | `getHost()`
`java.lang.String` | `getPort()`
`java.lang.String` | `getServerName()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServerNotAvailableException

    public ServerNotAvailableException()

### ServerNotAvailableException

    public ServerNotAvailableException(java.lang.String s)

### ServerNotAvailableException

    public ServerNotAvailableException(java.lang.String sServerName,
                                       java.lang.String sHost,
                                       java.lang.String sPort)

### ServerNotAvailableException

    public ServerNotAvailableException(java.lang.String sHost,
                                       java.lang.String sPort)

### ServerNotAvailableException

    public ServerNotAvailableException(java.lang.String sServerName,
                                       java.lang.String sHost,
                                       int nPort)

### ServerNotAvailableException

    public ServerNotAvailableException(java.lang.String sHost,
                                       int nPort)

### ServerNotAvailableException

    public ServerNotAvailableException(java.lang.String sServerName,
                                       AciConnection aciServer)

### ServerNotAvailableException

    public ServerNotAvailableException(AciConnection aciServer)

Method Detail

### getServerName

    public java.lang.String getServerName()

### getHost

    public java.lang.String getHost()

### getPort

    public java.lang.String getPort()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD